summaryrefslogtreecommitdiff
path: root/dev-python/regex
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/regex
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/regex')
-rw-r--r--dev-python/regex/Manifest2
-rw-r--r--dev-python/regex/metadata.xml9
-rw-r--r--dev-python/regex/regex-2026.4.4.ebuild37
-rw-r--r--dev-python/regex/regex-2026.5.9.ebuild37
4 files changed, 85 insertions, 0 deletions
diff --git a/dev-python/regex/Manifest b/dev-python/regex/Manifest
new file mode 100644
index 000000000000..f85e466ba4bb
--- /dev/null
+++ b/dev-python/regex/Manifest
@@ -0,0 +1,2 @@
+DIST regex-2026.4.4.tar.gz 416000 BLAKE2B 26060ad5ed1a2f690a4eb7c22bc6302865531422e7494f2c562d73a2cb4522721491e464b762fa05ca25bd87e2758116ef1fd31227c171197a15514a0b5d067f SHA512 87ed2a52d008b089d2be71cbd9f24323c530bca1243f664c7e5dad9ef220b8e5d7c0e82784b075f12276d57f2dc37324e56de3e9ac34fb237413ae80a0c8564c
+DIST regex-2026.5.9.tar.gz 416074 BLAKE2B 76b6802ebede45eeb54bbada24f9cde5a6b16a304d4edf3f05464b04e3a3a064c2417fe2c5ef7e599cb67fcdea76a3b02648a621095b4a1c88e0a8141495f7c1 SHA512 c118b46e5746c83e7e93f2bcb85b4e85e04b04670a3aef0eab0b1707c653e98ed79fe5007734b15358023c5a30282fadb0947c3590388d64410e53d49ca63df5
diff --git a/dev-python/regex/metadata.xml b/dev-python/regex/metadata.xml
new file mode 100644
index 000000000000..acfe7097587e
--- /dev/null
+++ b/dev-python/regex/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/regex/regex-2026.4.4.ebuild b/dev-python/regex/regex-2026.4.4.ebuild
new file mode 100644
index 000000000000..9e76573eb2b4
--- /dev/null
+++ b/dev-python/regex/regex-2026.4.4.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+# pypy isn't supported upstream because of its UTF8 representation for strings
+# See https://github.com/mrabarnett/mrab-regex/issues/521#issuecomment-1936260187.
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Alternative regular expression module to replace re"
+HOMEPAGE="
+ https://github.com/mrabarnett/mrab-regex/
+ https://pypi.org/project/regex/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~arm64-macos ~x64-macos"
+IUSE="doc"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/Features.html )
+ local DOCS=( README.rst docs/*.rst )
+
+ distutils-r1_python_install_all
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)/regex/tests" || die
+ eunittest
+}
diff --git a/dev-python/regex/regex-2026.5.9.ebuild b/dev-python/regex/regex-2026.5.9.ebuild
new file mode 100644
index 000000000000..f45afd466843
--- /dev/null
+++ b/dev-python/regex/regex-2026.5.9.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+# pypy isn't supported upstream because of its UTF8 representation for strings
+# See https://github.com/mrabarnett/mrab-regex/issues/521#issuecomment-1936260187.
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Alternative regular expression module to replace re"
+HOMEPAGE="
+ https://github.com/mrabarnett/mrab-regex/
+ https://pypi.org/project/regex/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~arm64-macos ~x64-macos"
+IUSE="doc"
+
+distutils_enable_tests unittest
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/Features.html )
+ local DOCS=( README.rst docs/*.rst )
+
+ distutils-r1_python_install_all
+}
+
+python_test() {
+ cd "${BUILD_DIR}/install$(python_get_sitedir)/regex/tests" || die
+ eunittest
+}